package EPrints::Plugin::Screen::Public::MePrintsSearch;

@ISA = ( 'EPrints::Plugin::Screen::AbstractSearch' );

use strict;

sub new
{
	my( $class, %params ) = @_;

	my $self = $class->SUPER::new( %params );

	return $self;
}

sub search_dataset
{
	my( $self ) = @_;

	return $self->{session}->get_repository->get_dataset( "public_profile_users" );
}

sub allow_export { return 1; }

sub allow_export_redir { return 1; }

sub can_be_viewed
{
	my( $self ) = @_;

	return $self->allow( "eprint_search" );
}

sub from
{
	my( $self ) = @_;
	
	my $sconf = $self->{session}->get_repository->get_conf( "search", "user_public" );

	$self->{processor}->{sconf} = $sconf;

	$self->SUPER::from;
}

sub get_controls_before
{
	my( $self ) = @_;

	return $self->get_basic_controls_before;
}

sub render_results
{
	my( $self ) = @_;

	return $self->SUPER::render_results;

}

sub render_result_row
{
	my( $self, $session, $result, $searchexp, $n ) = @_;

	return $result->render_citation_link(
		$self->{processor}->{sconf}->{citation},
		n => [$n,"INTEGER"] );
}
