package EPrints::Plugin::UpdateMePrints;

our @ISA = qw/ EPrints::Plugin /;

no strict;
no warnings;

package EPrints::Update::MePrints;

use strict;
  
sub update
{
	my( $repository, $user ) = @_;

	my $targetfile = $user->localpath()."/index.html";

	# if targetfile does not exist, we need to generate the profile
	if( -e $targetfile )
	{
		my $timestampfile = $repository->get_conf( "variables_path" )."/meprints.timestamp";
		my $need_to_update = 0;
		if( -e $timestampfile )
		{
			my $poketime = (stat( $timestampfile ))[9];
			my $targettime = (stat( $targetfile ))[9];
			if( $targettime < $poketime ) { $need_to_update = 1; }
		}

		return unless $need_to_update;
	}
	$user->generate_static();
}

1;
